Subject: Re: bug#66293: 28.2; rmail_ Invalid mbox file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 16:51:55 +0300

> Date: Sun, 01 Oct 2023 17:39:24 +0530
> From:  జిందం వాఐి via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> * os: android 9
> * debian 12 on proot-distro [ 1 ]
> * apt show emacs-lucid_ Version: 1:28.2+1-15
> * apt show mailutils_ Version: 1:3.15-4
> * didnt install anything extra or configured
> * first, i asked on help-emacs-gnu [ 2 ]
> 
> * steps
>    * open emacs
>    * tools -> read mail
> 
> * error
> Debugger entered--Lisp error: (error "Invalid mbox file")
>    error("Invalid mbox file")
>    rmail-convert-file-maybe()
>    rmail()
>    funcall-interactively(rmail)
>    command-execute(rmail record)
>    execute-extended-command(nil "rmail" "rmail")
>    funcall-interactively(execute-extended-command nil "rmail" "rmail")
>    command-execute(execute-extended-command)
> 
> * added attachment_ rmail

With the attached mbox file I cannot reproduce the problem.  I did:

  emacs -Q
  C-u M-x rmail RET RMAIN RET

and was presented with the last email message in the mbox file, with
no errors.

So I wonder what went wrong in your case.  Maybe the problem is in the
version of movemail you are using?  Can you try repeating the steps I
did above, instead of going through Tools->Read mail ?